#ifndef __BITFILE_H
    #define __BITFILE_H
#ifndef _MSTRING_H
	#include "mstring.h"
#endif
#ifndef __IOSTREAM_H
	#include <iostream> 	//ios
#endif
#ifndef __FSTREAM_H
	#include <fstream> 	//ofstream
#endif

using namespace std;

#define PACIFIER_COUNT    2047

class bit_file {
public:
    enum BitFileType {
        Input,
        Output,
    };
    enum SeekDir {
        Beg,
        Cur,
        End,
    };
public:
	ofstream*       oFile;
	ifstream*       iFile;
//    BitFileType     type;
public:
	  bit_file (BitFileType t, String &FileName);
	~ bit_file ();
    void PutBit(char b) { oFile->write(&b,1); }
    int  GetBit(void);
    int  IsEOF(void);
    void CloseFile(void);
    long Tell(void);
    long Seek(long pos, SeekDir ref);

    unsigned char   mask;
	int             rack;
	int             pacifier_counter;
};
#endif