//=============================================================================
//
//                          huffman.cc
//
//
//-----------------------------------------------------------------------------
//
// revision history:
//    Howard Zhou   11-07-2001   initial version
// 
//=============================================================================


//STL
// #include <queue> // for priority_queue

// #include "huffman.h"

/*
bool Huffman::buildCodeTable(string srcFilename, 
			       string codeTableFilename)
{
	char ch;
	// the number of char that appeared at least once in the src file
	int numUsedChars = 0;
	long srcFileSize = 0;
	long encodedFileSize = 0;
	long codeTableSize = 0;

	// 256 long ASCIITable will hold the occurance of each character
	// assume the number of occurances fit in long type 
	const int size = 256;
	long ASCIITable[size];

	// make a priority_queue and keep elements according to their weight
	// 1st argument: data type
	// 2nd argument: the underlying container containing the data type. since priority queue is
	//               just a container adaptor (use with vector(best) or dqueue(if size is very
	//               dynamic. no list since doesn't have required operator[])
	// 3rd argument: selfsupplied class containing () operator to compare.
	priority_queue<Node, vector<Node>, NodeCompare> codeTable;
	Node *n1, *n2;

	// initialize this array to '\0'
	memset(ASCIITable, '\0', size*sizeof(long)); 

	// load the file, make sure we only open an existing file
	ifstream inFile(srcFilename.c_str(), ios::in);

	// Verify open
	//crucial_assert(inFile);

	if(!inFile){
		printf("Fatal error: failed to open src file \"%s\"\n", srcFilename.c_str());
		exit(-1);
	}

	while((ch = inFile.get())!=EOF)
	{
	srcFileSize++;
	// increase the count of ch in ASCIITable
	ASCIITable[ch]++;
	}

	for(int i=1; i<=255; i++)
	{
		//cout << "chr(" << i << ") " << char(i) << ": " << ASCIITable[i] << endl;
		// count the number of char that appeared at least once
		if (ASCIITable[i])
		{
			numUsedChars++;
			// build a node and insert this node into the priority_queue
			codeTable.push(Node(NULL, NULL, char(i), ASCIITable[i], ""));  
		}
	} 

	//test the contents of the priority_queue
	while(!codeTable.empty())
	{
		n1 = new Node();
		n2 = new Node();

		// the least possible argument
		*n1 = codeTable.top();
		codeTable.pop();

		if (!codeTable.empty())
		{  
			// the second least possible argument
			*n2 = codeTable.top();
			codeTable.pop();

			// push the merged node into the priority_queue
			codeTable.push(Node(n2, n1, '\0', n1->getWeight() + n2->getWeight(), ""));
		}
		else
		{
			// emptied priority queue
			_root = n1;
		}
	}

	// recursively assign Huffman code
	_root->setCodeAll();
	// recursively output the code table to a file
	_root->display();

	cout << "\nCharacters appeared at least once: " << numUsedChars;
	cout << "\nSource file size: " << srcFileSize;
	cout << "\nCompressed file size: " << (encodedFileSize = _root -> getCompressedSize(ASCIITable)/8);
	cout << "\nCode table size: " << (codeTableSize = _root -> getCodeTableSize(ASCIITable))/8;
	cout << "\nCompression ratio: " << ((double)(encodedFileSize + codeTableSize)/(double)srcFileSize)*100.0 << endl;

	return true;
}

bool Huffman::readCodeTable(string code_tableFilename)
{
	return true;
}

bool Huffman::encoder(string code_tableFilename)
{
	return true;
}

bool Huffman::decoder(string encodedFilename, string srcFilename)
{
	return true;
}

bool Huffman::dump(string encodedFilename)
{
	return true;
}
*/


