/** =================================================================\n
 *
 * CS 7491 2004\n
 * @file CurveCompression.h
 *
 * Primary Authors: Nguyen Truong (nltruong@cc.gatech.edu)\n
 *                  Howard Zhou (howardz@cc.gatech.edu)\n
 *
 * (C) Copyright 2004\n
 * (C) Copyright Georgia Institute of Technology, 2004\n
 *
 * ==================================================================\n
 * Curve Compression Task class
 *
 * @version 1.0\n
 *     Initial Revision
 * @date 2004-02-13
 * @author Nguyen Truong & Howard Zhou
 *
 *
 * @todo
 * @bug
 * @warning 
 *
 * ===================================================================\n
 */

#ifndef __CCURVECOMPRESSION_H__
#define __CCURVECOMPRESSION_H__

#include "..\Viewer\stdafx.h"
#include "..\Viewer\Task.h"


/// @namespace using standard namespace
using namespace std;

// ==================================================================================
/**
 * @class CCurveCompression
 * @brief Curve Compression Task class
 * @ingroup Curve
 *
 * @par requirements
 *
 * @par license
 * This code is absolutely free to use and modify. The code is provided "as is" with
 * no expressed or implied warranty. The author accepts no liability if it causes
 * any damage to your computer, causes your pet to fall ill, increases baldness
 * or makes your car start emitting strange noises when you start it up.
 * This code has no bugs, just undocumented features!
 *
 * 
 * @version 1.0\n
 *     Initial Revision
 * @date 2004-02-13
 * @author Nguyen Truong & Howard Zhou
 *
 * This class is the curve compression task class
 * 
 * @todo
 * @bug
 * @warning
 */
// ================================================================================

class CCurveCompression : public CTask
{
private:
	// ------------------------------------------------------
	// private helpers
	// ------------------------------------------------------

public:
	// ------------------------------------------------------
	// constructors and destructors
	// ------------------------------------------------------

	/// Default constructor. Creates an uninitialized matrix.
	CCurveCompression():CTask(){};

	// Destructor
	~CCurveCompression(){};

	// ------------------------------------------------------
	// Predicators
	// ------------------------------------------------------

	// ------------------------------------------------------
	// Accessors and Mutators
	// ------------------------------------------------------

	// ------------------------------------------------------
	// Overloaded Operators 
	// ------------------------------------------------------

	// ------------------------------------------------------
	// Input, Output, and Test
	// ------------------------------------------------------

	// ------------------------------------------------------
	// Other operation
	// ------------------------------------------------------

	// ------------------------------------------------------
	// Friend functions
	// ------------------------------------------------------

	void run();
};

#endif // __CCURVECOMPRESSION_H__
